Skip to main content
GET
/
host-connections
Get host connections
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/host-connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "guest_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "host_name": "<string>",
      "host_email": "jsmith@example.com",
      "owner_email": "jsmith@example.com",
      "status": "connected",
      "archived": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "archived_at": "2025-12-12T12:00:00.123456",
      "active_action_type": "analytics_request",
      "active_action_updated_at": "2025-12-12T12:00:00.123456"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

statuses
enum<string>[]
required

Filter connections by status

Available options:
connected,
disconnected
search_field
enum<string>
default:host_name

Field to search in

Available options:
host_name,
host_email,
owner_email
search_text
string | null

Text to search for in the selected field

Required string length: 1 - 255
Example:

"Example Corp"

order_by
enum<string>
default:host_name

Field to sort results by

Available options:
host_name,
host_email,
owner_email,
created_at,
updated_at,
archived_at,
active_action_updated_at
order_dir
enum<string>
default:asc

Sort direction

Available options:
asc,
desc
archived
boolean | null

Filter by archived status

active_action_types
enum<string>[] | null

Filter by active action types

Minimum array length: 1
Available options:
analytics_request
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

0

20

30

offset
integer
required

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

15

50

Response

Successful Response

items
HostConnection · object[]
required

List of host connections

total_items
integer
required

Total number of host connections

Required range: x >= 0
Examples:

0

25

50

100